import { customerFetch, ResponseDataEntity } from '.';
import { LoginInfoVo } from './baseClass';

export class LoginParams {
  /** 登陆标识 */
  code?: string;
  /** 账号 */
  loginAccount?: string;
  /** 密码 */
  password?: string;
}
export const appLogin = (data: LoginParams) =>
  customerFetch({
    url: '/dcxy/wechat/applet/login/',
    method: 'POST',
    data: data,
  });

export const appLogout = () =>
  customerFetch({
    url: '/app/customer/login/out',
  });

export class PwdParams {
  /** 账号 */
  loginAccount: string;
  /** 密码 */
  password: string;
  /** 验证码 */
  verification: string;
}
export const changePwdByCellphone = (data: PwdParams) =>
  customerFetch({
    url: `/app/customer/apwd/${data.loginAccount}/${data.password}/${
      data.verification
    }`,
    method: 'PUT',
  });

type RegisiterPramas = {};
// type RegisiterReponseData = {};

export const wxUserRegister = (entity: RegisiterPramas) =>
  customerFetch({
    url: '/dcxy/wechat/applet/register/',
    method: 'POST',
    data: entity,
  });
