import Actions from '../../../types/Store/Actions';
import Order from '../../../types/Order/Order';
import {
  TOGGLE_ORDER_STATE,
  UPDATE_PAY_LIST,
  UPDATE_ALL_LIST,
} from './actions';

export interface StoreState {
  orderState: String;
  payList: Order[];
  allList: Order[];
}

const INITIAL_STATE = {
  orderState: '1',
  payList: [],
  allList: [],
};

export default function OrderList(
  state: StoreState = INITIAL_STATE,
  actions: Actions,
) {
  switch (actions.type) {
    case TOGGLE_ORDER_STATE:
      return {
        ...state,
        orderState: actions.payload,
      };
    case UPDATE_PAY_LIST:
      return {
        ...state,
        payList: actions.payload,
      };
    case UPDATE_ALL_LIST:
      return {
        ...state,
        allList: actions.payload,
      };
    default:
      return state;
  }
}
